Name:          bognor-regis
Version:       0.4.10
Release:       3%{?dist}
Summary:       Media daemon and play queue manager

Group:         Applications/Multimedia
License:       GPLv2
URL:           http://www.moblin.org/
Source0:       http://git.moblin.org/cgit.cgi/%{name}/snapshot/%{name}-%{version}.tar.bz2  
Patch0:        bognor-regis-dbus-crash.patch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: GConf2-devel
BuildRequires: gtk2-devel
BuildRequires: dbus-glib-devel
BuildRequires: gstreamer-devel
BuildRequires: intltool
BuildRequires: gettext

# Require these because the git tarball doesn't have the configure built
BuildRequires: libtool

%description
Media daemon and play queue manager

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with %{name}.

%prep
%setup -q
%patch0 -p1 -b .dbus-crash

# Don't run configure from autogen.sh
sed -i 's|echo|exit 0|g' autogen.sh
./autogen.sh

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

#Remove libtool archives.
rm -rf %{buildroot}/%{_libdir}/*.la

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/libbognor-regis-0.4.so.0.0.0
%{_libdir}/libbognor-regis-0.4.so.0
%{_libexecdir}/bognor-regis-daemon
%{_datadir}/dbus-1/services/org.moblin.BognorRegis.service

%files devel
%defattr(-,root,root,-)
%{_includedir}/bognor-regis-0.4
%{_libdir}/pkgconfig/bognor-regis-0.4.pc
%{_libdir}/libbognor-regis-0.4.so

%changelog
* Wed Oct  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.10-3
- Add upstream patch to fix a crash

* Mon Aug 24 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.10-2
- Add new GConf2 build requirement

* Mon Aug 24 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.10-1
- New upstream 0.4.10 release, add translations

* Fri Aug  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.9-2
- Spec file cleanups

* Fri Jul 24 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.9-1
- New upstream 0.4.9 release

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 23 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.8-2
- Add some new dependencies.

* Thu Jul 23 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.8-1
- New upstream 0.4.8 release

* Sat Jul 18 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.7-1
- New upstream 0.4.7 release

* Sat Jul  4 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.6-1
- New upstream release

* Thu Jun 18 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.5-2
- Fix license

* Thu Jun 18 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.5-1
- Initial packaging
